Bug 798880 - Build xulrunner with enabled WebM there.
Build xulrunner with enabled WebM there.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xulrunner (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
: 808145 (view as bug list)
Depends On: 812828
Blocks: 782183 840699
  Show dependency treegraph
 
Reported: 2012-03-01 02:31 EST by Martin Stransky
Modified: 2012-08-03 06:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2012:1088
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 812828 (view as bug list)
Environment:
Last Closed: 2012-08-03 06:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
old nasm fix/workaround. (387 bytes, patch)
2012-05-03 03:03 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Martin Stransky 2012-03-01 02:31:05 EST
Description of problem:

Build xulrunner with system libvpx which enables WebM there.
Comment 1 RHEL Product and Program Management 2012-03-01 02:49:26 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 2 Martin Stransky 2012-03-05 04:48:57 EST
Unfortunately we need libvpx 0.9.7 for it (at least) but the recent RHEL6 package is 0.9.0.
Comment 3 Martin Stransky 2012-04-16 07:13:07 EDT
We have to fix Bug 812828 first.
Comment 4 Jonathan Blandford 2012-05-01 10:54:07 EDT
In the interim, can we build firefox with an internal copy of libvpx, Martin?
Comment 6 Martin Stransky 2012-05-02 02:51:04 EDT
(In reply to comment #4)
> In the interim, can we build firefox with an internal copy of libvpx, Martin?

Yes, we can build firefox an internal copy of libvpx, but without updated system yasm we'd need to bundle the new yasm package with xulrunner. Do we want to do so?
Comment 7 Jan Kratochvil 2012-05-02 13:01:34 EDT
xulrunner-10.0.4-1.el6 ./mozilla-esr10/media/libvpx/README_MOZILLA states:
Using the v0.9.5 release pulled from
http://webm.googlecode.com/files/libvpx-v0.9.5.zip

and libvpx-v0.9.5.zip already contains my last commit
7be093ea4d50c8d38438f88cb9fa817c1c9de8dd
and its libvpx-v0.9.5/configure really supports:
  --as={yasm|nasm|auto}           use specified assembler [auto, yasm preferred]

Just the libvpx configure options are removed in the Mozilla bundle but all the patches for nasm support are there.  Upgrade to libvpx-1.0.0 will not change anything wrt the nasm support for libvpx.
Comment 8 Jan Kratochvil 2012-05-03 03:03:20 EDT
Created attachment 581786 [details]
old nasm fix/workaround.

The problem with old nasm was just that it automatically did not promote section alignment if an alignment was used in that section.

This patch is not optimal as it aligns all the libvpx .o files data rodata sections and not just those containing the aligned variables but it should not matter.

I have checked all "align 16" statements are present only after SECTION_RODATA.

I did not test the output myself now.

QA:
These ELF symbols (nm) must be aligned to 16 bytes:

x_s1sqr2 x_c1sqr2less1 fours Blur rd42 x_s1sqr2 x_c1sqr2less1 fours tfe t80 t1s t3 t4 ones s27 s18 s9 s63 rd vp8_six_tap_mmx vp8_bilinear_filters_mmx fours x_s1sqr2 x_c1sqr2less1 tfe t80 t1s t3 t4 ones s9 s63 dc_1024 dc_00001111 rd shuf1b shuf2bfrom1 shuf3bfrom1 rd k0_k5 vp8_bilinear_filters_ssse3 x_s1sqr2 x_c1sqr2less1 fours t80 c1 cn1 cd1 cd3 xmm_bi_rd vp8_bilinear_filters_ssse3 inv_zig_zag _5352_2217 _2217_neg5352 _mult_add _cmp_mask _cmp_mask8x4 _mult_sub _7 _7w _14500 _7500 _12000 _51000 mmx_bi_rd zz_shuf xmm_bi_rd vp8_bilinear_filters_sse2 _const_3w _const_top_bit _const_16w zig_zag1d
Comment 12 Martin Stransky 2012-06-12 03:16:59 EDT
Patch is ready, we can ship it in next update.
Comment 16 RHEL Product and Program Management 2012-06-20 11:13:57 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 18 Jonathan Blandford 2012-07-02 14:26:27 EDT
*** Bug 808145 has been marked as a duplicate of this bug. ***
Comment 19 Martin Stransky 2012-08-03 06:50:34 EDT
Already fixed in Firefox 10.0.6. Looks like we forget to add the bug to the advisory.

Note You need to log in before you can comment on or make changes to this bug.